Как обновить пакет с более новой версией, чем репозиторий?

Я установил tmux из apt-get. Я проверил версию 1.8.
Но когда я напрямую перехожу на официальный сайт tmux, я вижу, что последняя версия 2.0.

Как обновить до 2.0?
sudo apt-get install --only-upgrade tmux всегда скажите мне, что у меня самая новая версия tmux, которая неправильна.

Я использую ubuntu 14.04.

One Solution collect form web for “Как обновить пакет с более новой версией, чем репозиторий?”

Существуют альтернативные репозитории, из которых вы можете установить более поздние версии tmux , но они не являются официальными. Установка из источника относительно проста:

 # install any dependency packages needed for building sudo apt-get install -y exuberant-ctags cmake libevent-dev libncurses5-dev # download link from official http://tmux.github.io/ site wget https://github.com/tmux/tmux/releases/download/2.0/tmux-2.0.tar.gz tar xvf tmux-2.0.tar.gz cd tmux-2.0 ./configure && make 

и если все это сработало, убедитесь, что все запущенные сеансы tmux остановлены (поскольку версия протокола может отличаться)

 sudo apt-get remove -y tmux sudo make install 
  • Как я могу обновить новую версию Git с помощью apt-get?
  • Как я могу обновить приложение из нового источника?
  • Обновления Debian Jessie
  • Обновление драйвера Alsa на клиентской машине без make
  • Можно ли обновить систему FreeBSD до последней версии (базовая система + пакеты), используя только двоичные файлы?
  • Ошибка обновления Debian 7 (wheezy) до 8 (jessie), plymouth 0.9.0-9 полуконфигурирована
  • Мой flashplugin-nonfree (на Debian Stretch) устарел ... что делать?
  • apt-get update не работает при дебианском сжатии с "File not found"
  • Обновление Ruby не работает с использованием двух методов
  • Обновите / обновите Debian и пропустите любые взаимодействия
  • Неудачное изменение зависимостей для растягивания
  • Linux и Unix - лучшая ОС в мире.